package com.ssj.service.conch.teacher.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class LessonGroupSignRequest extends BaseRequest {

    private static final long serialVersionUID = -1360195427087131894L;

    @ApiModelProperty(name = "lessonGroupId", value = "小组id", required = true)
    private String lessonGroupId;
    @ApiModelProperty(name = "courseIdList", value = "课程id集合", required = true)
    private List<String> courseIdList;
    @ApiModelProperty(name = "type", value = "1:签到 2:签离", required = true)
    private Integer type;

    public String getLessonGroupId() {
        return lessonGroupId;
    }

    public void setLessonGroupId(String lessonGroupId) {
        this.lessonGroupId = lessonGroupId;
    }

    public List<String> getCourseIdList() {
        return courseIdList;
    }

    public void setCourseIdList(List<String> courseIdList) {
        this.courseIdList = courseIdList;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

}
